// This is a program that fades the LED. It is derived from Arduino example code


//I declare PA7 pin as my LED pin
int led = 7;
int brightness = 0;
int fadeAmount = 5;

//The setup function sets the initial values. Everything between its breackets runs only once until you reset the code. 
void setup () {
// I declare that the led pin (PA7) is an output pin.
  pinMode(led, OUTPUT);
}


// void loop: everything between its breackets keeps on looping. 
void loop() {
    //I set the pin to analog rather than digital.
  analogWrite(led, brightness);
  // change the brightness for next time through the loop:
  brightness = brightness + fadeAmount;
    // reverse the direction of the fading at the ends of the fade:
  if (brightness <=0 || brightness >= 255) {
    fadeAmount = -fadeAmount;
  }
  // wait for 30 milliseconds to see the dimming effect
  delay(30);
}
